# host.h File Reference

Resolving of hostnames/IPs. More...

`#include "address.h"`

Go to the source code of this file.

## Functions
void | NetworkFindBroadcastIPs (NetworkAddressList *broadcast)
| Find the IPv4 broadcast addresses; IPv6 uses a completely different strategy for broadcasting.

## Detailed Description

Resolving of hostnames/IPs.

Definition in file host.h.

## Function Documentation

void NetworkFindBroadcastIPs | ( | NetworkAddressList * | broadcast | ) |

Find the IPv4 broadcast addresses; IPv6 uses a completely different strategy for broadcasting.

Parameters:

  | broadcast | the list of broadcasts to write into.

Definition at line 201 of file host.cpp.

References SmallVector< T, S >::Begin(), DEBUG, SmallVector< T, S >::End(), NETWORK_DEFAULT_PORT, and NetworkFindBroadcastIPsInternal().

Referenced by NetworkStartUp().